Fedora 2.2 and Fez 1.3

Help
2007-03-22
2012-10-29
  • dave cromier

    dave cromier - 2007-03-22

    Hey folks,

    We have a fairly serious development plan here and would really like to take Fez out for a spin to see if it is going to meet our needs... here's my issue. All the documentation indicates that fedora 2.1.1 is the newest version that is compatible with Fez 1.3 but. There is an article on the wiki http://dev-repo.library.uq.edu.au/wiki/index.php/Example_Install_Fez_1.3_and_Fedora_2.2_on_Kubuntu_linux_6.10_Edgy
    that says I can install on Kubuntu. Is Fez 1.3 ready for Fedora 2.2?

     
    • kg4gyt

      kg4gyt - 2007-05-17

      I'm having trouble with Fedora 2.2 and Fez 1.3. Are the two compatible as the how-to wiki article suggests?

      I cannot currently add a community, and when I access the workflow via the "My Fez" link, I am given an error (complete with backtrace) and cannot add a community. Are the two issues related?

      Array
      (
      [0] => Error when calling getDatastreamDissemination :fedora.server.errors.MalformedPidException: PID delimiter (:) is missing.
      [1] => POST /fedora/services/access HTTP/1.0
      Host: 128.239.105.149:8080
      Authorization: Basic ZmVkb3JhQWRtaW46ZmVkb3JhQWRtaW4=
      User-Agent: NuSOAP/0.7.2 (1.95)
      Content-Type: text/xml; charset=ISO-8859-1
      SOAPAction: ""
      Content-Length: 579

      <?xml version="1.0" encoding="ISO-8859-1"?><SOAP-ENV:Envelope SOAP-ENV:encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/"><SOAP-ENV:Body><ns238 7:getDatastreamDissemination xmlns:ns2387="http://tempuri.org"><pid xsi:type="xsd:string">-2</pid><dsID xsi:type="xsd:string">FezACML</dsID></ns2387:getDatastreamDissemination></SOAP-E NV:Body></SOAP-ENV:Envelope>
      )

       
      • Matthew Smith

        Matthew Smith - 2007-05-17

        Nope, they are not compatible. You'll need to get the latest SVN for fedora 2.2 compatibility.

        Matt

         
    • Jun Yamog

      Jun Yamog - 2007-03-26

      Hi Dave,

      Fez 1.3 does not officially support Fedora 2.2. I have a friend who successfully made Fez 1.3 with Fedora 2.2 by adding parameters needed by Fedora during the SOAP calls. It wasn't fully tested though, he just did it to see if it will work. I believe it was for the checksum or something, there was a minor change of the SOAP api from 2.1.1 to 2.2

      Jun

       
      • Christiaan

        Christiaan - 2007-03-30

        Hi Jun

        Could your 'friend' send us the code to make it work? We know it would be a pretty easy change to class.fedora_api.php to add a few variables to some API calls but we are busy doing higher priority work at the moment. Looking at their code might make us do it quicker.

        Cheers,
        Christiaan
        Lead Fez developer

         

Log in to post a comment.